Skip to main content
GET
/
work-orders
/
{workOrderId}
Get a work order
curl --request GET \
  --url https://app.lanten.co/api/open/v1/work-orders/{workOrderId} \
  --header 'Authorization: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "code": "WO-101",
    "title": "<string>",
    "description": "<string>",
    "status": "reported",
    "priority": "0",
    "availability": "<string>",
    "selfResolved": true,
    "resolvedAt": "2023-11-07T05:31:56Z",
    "intakeChannel": "email",
    "tenant": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com"
    },
    "unit": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fullAddress": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

workOrderId
string<uuid>
required

Response

Work order

data
object